"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const ui_1 = require("@medusajs/ui");
const ui_2 = require("@medusajs/ui");
const react_1 = require("react");
const medusa_react_1 = require("medusa-react");
const ui_3 = require("@medusajs/ui");
const ui_4 = require("@medusajs/ui");
function LoyaltySettingsForm() {
    const { client } = (0, medusa_react_1.useMedusa)();
    const [loyaltySetting, setLoyaltySetting] = (0, react_1.useState)({
        amount: 0,
        is_rewards_active: false
    });
    const [isAlertVisible, setAlert] = (0, react_1.useState)(false);
    const getLoyaltySettings = async () => {
        client.client
            .request("GET", `/admin/loyalty-settings`)
            .then((data) => {
            setLoyaltySetting({ amount: data.amount || 0, is_rewards_active: data.is_rewards_active || false });
        })
            .catch(() => []);
    };
    const saveLoyaltySettings = async () => {
        client.client
            .request("POST", `/admin/loyalty-settings`, loyaltySetting)
            .then((data) => {
            setAlert(true);
            setTimeout(() => {
                setAlert(false);
            }, 3000);
        })
            .catch(() => []);
    };
    (0, react_1.useEffect)(() => {
        getLoyaltySettings();
    }, []);
    const onToggleChange = (toggleVal) => {
        setLoyaltySetting((prevLoyaltySetting) => ({
            ...prevLoyaltySetting,
            is_rewards_active: !prevLoyaltySetting.is_rewards_active
        }));
    };
    const onDataChange = (value) => {
        setLoyaltySetting((prevLoyaltySetting) => ({
            ...prevLoyaltySetting,
            amount: value
        }));
    };
    return ((0, jsx_runtime_1.jsxs)("div", { className: "gap-y-6", children: [isAlertVisible && ((0, jsx_runtime_1.jsx)(ui_1.Alert, { variant: "success", dismissible: true, children: "Successfully saved settings" })), (0, jsx_runtime_1.jsxs)(ui_1.Container, { className: "p-8 flex flex-col my-6", children: [(0, jsx_runtime_1.jsx)(ui_2.Heading, { level: "h1", children: "Loyalty settings" }), (0, jsx_runtime_1.jsx)(ui_4.Text, { size: "base", weight: "regular", children: "Manage loyalty settings" })] }), (0, jsx_runtime_1.jsx)(ui_1.Container, { className: "p-8 flex flex-col my-6", children: (0, jsx_runtime_1.jsxs)("div", { className: "gap-y-4", children: [(0, jsx_runtime_1.jsxs)("div", { className: "flex items-center gap-x-2 my-4", children: [(0, jsx_runtime_1.jsx)(ui_3.Switch, { id: "manage-inventory", onChange: () => onToggleChange(!loyaltySetting.is_rewards_active), checked: loyaltySetting.is_rewards_active }), (0, jsx_runtime_1.jsx)(ui_3.Label, { htmlFor: "manage-inventory", children: "Is rewards active" })] }), (0, jsx_runtime_1.jsxs)("div", { className: "flex items-center gap-x-2 my-4", children: [(0, jsx_runtime_1.jsx)(ui_3.Label, { children: "Amount per points" }), (0, jsx_runtime_1.jsx)(ui_1.Input, { placeholder: "Enter amount", id: "sales-channel-name", onChange: (event) => onDataChange(parseInt(event.target.value)), value: loyaltySetting.amount })] }), (0, jsx_runtime_1.jsxs)("div", { className: "flex place-self-end gap-x-2 my-4", children: [(0, jsx_runtime_1.jsx)(ui_1.Button, { variant: "danger", children: "Cancel" }), (0, jsx_runtime_1.jsx)(ui_1.Button, { onClick: () => saveLoyaltySettings(), children: "Save" })] })] }) })] }));
}
exports.default = LoyaltySettingsForm;
